%global git_hash e0b0b84

Name:       nodejs-ronn
Version:    0.3.7
Release:    1%{?dist}
Summary:    markdown to roff/html converter
License:    MIT
URL:        https://github.com/isaacs/node-semver
# download from https://github.com/isaacs/node-semver/tarball/%%{version}
Source0:    kapouer-ronnjs-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs
Requires:       nodejs-opts

%description
Javascript port of ronn, using markdown-js to produce roff man pages. Not fully
compatible with ronn, although it aims to be, wherever possible.

%prep
%setup -q -n kapouer-ronnjs-%{git_hash}

%nodejs_fixshebang bin/ronn.js

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/ronn
cp -pr bin lib .npmignore package.json %{buildroot}%{nodejs_libdir}/ronn

mkdir -p %{buildroot}%{_bindir}
ln -s ../lib/nodejs/ronn/bin/ronn.js %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/ronn
%{_bindir}/ronn.js
%doc README.md LICENSE CHANGES TODO

%changelog
* Thu Nov 17 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-1
- initial package